Subscriptions

Get subscriptions

get

Retrieves all subscriptions for the specified customer token.

circle-exclamation
Authorizations
AuthorizationstringRequired

A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.

Query parameters
customer_idstring · flake-idOptionalExample: 411486491630370816
subscription_idstring · flake-idOptionalExample: 411486491630370816
billing_emailstringOptional
payment_method_idstring · flake-idOptionalExample: 411486491630370816
checkout_idstring · flake-idOptionalExample: 411486491630370816
trial_idstring · flake-idOptionalExample: 411486491630370816
limitinteger · int32 · min: 1 · max: 100Optional

The maximum number of items to return in a single request.

afterstring · flake-idOptional

Returns items after the specified ID. Used for forward pagination through results.

Example: 411486491630370816
beforestring · flake-idOptional

Returns items before the specified ID. Used for backward pagination through results.

Example: 411486491630370816
ascbooleanOptional

Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.

Responses
chevron-right
200

OK

application/json

Data transfer object representing a store subscription.

idstring · flake-idRequiredExample: 411486491630370816
pretty_idstringRequired

Human-readable identifier for the subscription.

store_idstring · flake-idRequiredExample: 411486491630370816
payment_method_idstring · flake-idOptionalExample: 411486491630370816
statusstring · enumRequired

Represents the current state of a subscription.

Possible values:
coupon_idstring · flake-idOptionalExample: 411486491630370816
coupon_repeating_ends_atstring · nullableOptional

Date when a repeating coupon ends for this subscription.

affiliate_idstring · flake-idOptionalExample: 411486491630370816
checkout_idstring · flake-idOptionalExample: 411486491630370816
checkout_line_idstring · flake-idOptionalExample: 411486491630370816
billing_namestring · nullableOptional

Name used for billing purposes.

billing_emailstring · nullableOptional

Email used for billing purposes.

billing_countrystring · nullableOptional

Country code used for billing purposes.

customer_ipstring · nullableOptional

IP address of the customer at the time of subscription.

giftbooleanRead-onlyRequiredDeprecated

Indicates whether this subscription is a gift.

gift_to_customer_idstring · flake-idOptionalExample: 411486491630370816
product_idstring · flake-idOptionalExample: 411486491630370816
product_version_idstring · flake-idOptionalExample: 411486491630370816
product_namestring · nullableRead-onlyOptionalDeprecated

Name of the product associated with this subscription.

product_image_urlstring · nullableRead-onlyOptionalDeprecated

URL for the product image.

interval_valueinteger · int32Required

Numeric value of the billing interval.

interval_scalestring · enumRequiredPossible values:
currencystringRequired

Currency code used for billing this subscription.

tax_inclusivebooleanRead-onlyRequiredDeprecated

Indicates whether tax is included in the base price itself.

priceinteger · int64Read-onlyRequiredDeprecated

Base price of the subscription in smallest currency units (e.g., cents).

price_strstring · nullableRead-onlyOptionalDeprecated

Formatted string representation of the price.

discount_amountinteger · int64Required

Amount of discount applied in smallest currency units.

discount_amount_strstringRead-onlyRequired

Formatted string representation of the discount amount.

subtotal_amountinteger · int64Required

Subtotal amount in smallest currency units.

subtotal_amount_strstringRead-onlyRequired

Formatted string representation of the subtotal amount.

tax_amountinteger · int64Required

Tax amount in smallest currency units.

tax_amount_strstringRead-onlyRequired

Formatted string representation of the tax amount.

total_amountinteger · int64Required

Total amount in smallest currency units.

total_amount_strstringRead-onlyRequired

Formatted string representation of the total amount.

initial_discount_amountinteger · int64Required

Initial discount amount in smallest currency units for the first billing cycle.

initial_discount_amount_strstringRead-onlyRequired

Formatted string representation of the initial discount amount.

initial_subtotal_amountinteger · int64Required

Initial subtotal amount in smallest currency units for the first billing cycle.

initial_subtotal_amount_strstringRead-onlyRequired

Formatted string representation of the initial subtotal amount.

initial_giftcard_usage_amountinteger · int64Required

Initial gift card usage amount in smallest currency units.

initial_giftcard_usage_amount_strstringRead-onlyRequired

Formatted string representation of the initial gift card usage amount.

initial_tax_amountinteger · int64Required

Initial tax amount in smallest currency units for the first billing cycle.

initial_tax_amount_strstringRead-onlyRequired

Formatted string representation of the initial tax amount.

initial_total_amountinteger · int64Required

Initial total amount in smallest currency units for the first billing cycle.

initial_total_amount_strstringRead-onlyRequired

Formatted string representation of the initial total amount.

presentment_currencystring · nullableOptional

Presentment currency code (currency shown to customer).

presentment_subtotal_amountinteger · nullableOptional

Presentment subtotal amount in smallest currency units.

presentment_subtotal_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment subtotal amount.

presentment_discount_amountinteger · nullableOptional

Presentment discount amount in smallest currency units.

presentment_discount_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment discount amount.

presentment_tax_amountinteger · nullableOptional

Presentment tax amount in smallest currency units.

presentment_tax_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment tax amount.

presentment_total_amountinteger · nullableOptional

Presentment total amount in smallest currency units.

presentment_total_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment total amount.

initial_presentment_discount_amountinteger · nullableOptional

Initial presentment discount amount in smallest currency units for the first billing cycle.

initial_presentment_discount_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment discount amount.

initial_presentment_subtotal_amountinteger · nullableOptional

Initial presentment subtotal amount in smallest currency units for the first billing cycle.

initial_presentment_subtotal_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment subtotal amount.

initial_presentment_giftcard_usage_amountinteger · nullableOptional

Initial presentment gift card usage amount in smallest currency units.

initial_presentment_giftcard_usage_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment gift card usage amount.

initial_presentment_tax_amountinteger · nullableOptional

Initial presentment tax amount in smallest currency units for the first billing cycle.

initial_presentment_tax_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment tax amount.

initial_presentment_total_amountinteger · nullableOptional

Initial presentment total amount in smallest currency units for the first billing cycle.

initial_presentment_total_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment total amount.

fx_ratestring · nullableOptional

The foreign exchange rate applied (if presentment currency differs from settlement currency).

pricing_region_idstring · nullableRead-onlyOptionalDeprecated

Identifier for the pricing region associated with this subscription.

current_period_startstring · nullableOptional

Start date of the current billing period.

current_period_endstring · nullableOptional

End date of the current billing period.

billing_cycle_sequenceinteger · nullableOptional

Sequence number of the current billing cycle.

next_attempt_atstring · nullableOptional

Date and time when the next payment attempt will occur.

attempt_countinteger · nullableOptional

Number of payment attempts made for the current billing cycle.

created_atstring · date-timeRequired

Date and time when the subscription was created.

updated_atstring · nullableOptional

Date and time when the subscription was last updated.

active_atstring · nullableOptional

Date and time when the subscription became active.

canceled_atstring · nullableOptional

Date and time when the subscription was canceled.

cancel_reasonstring · nullableOptional

Reason provided for cancellation.

get
/v1/store/customer/subscriptions

Get subscription by ID

get

Retrieves a subscription for the specified store by the supplied customer token.

circle-exclamation
Authorizations
AuthorizationstringRequired

A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.

Path parameters
subscriptionIdstring · flake-idRequiredExample: 411486491630370816
Responses
chevron-right
200

OK

application/json

Data transfer object representing a store subscription.

idstring · flake-idRequiredExample: 411486491630370816
pretty_idstringRequired

Human-readable identifier for the subscription.

store_idstring · flake-idRequiredExample: 411486491630370816
payment_method_idstring · flake-idOptionalExample: 411486491630370816
statusstring · enumRequired

Represents the current state of a subscription.

Possible values:
coupon_idstring · flake-idOptionalExample: 411486491630370816
coupon_repeating_ends_atstring · nullableOptional

Date when a repeating coupon ends for this subscription.

affiliate_idstring · flake-idOptionalExample: 411486491630370816
checkout_idstring · flake-idOptionalExample: 411486491630370816
checkout_line_idstring · flake-idOptionalExample: 411486491630370816
billing_namestring · nullableOptional

Name used for billing purposes.

billing_emailstring · nullableOptional

Email used for billing purposes.

billing_countrystring · nullableOptional

Country code used for billing purposes.

customer_ipstring · nullableOptional

IP address of the customer at the time of subscription.

giftbooleanRead-onlyRequiredDeprecated

Indicates whether this subscription is a gift.

gift_to_customer_idstring · flake-idOptionalExample: 411486491630370816
product_idstring · flake-idOptionalExample: 411486491630370816
product_version_idstring · flake-idOptionalExample: 411486491630370816
product_namestring · nullableRead-onlyOptionalDeprecated

Name of the product associated with this subscription.

product_image_urlstring · nullableRead-onlyOptionalDeprecated

URL for the product image.

interval_valueinteger · int32Required

Numeric value of the billing interval.

interval_scalestring · enumRequiredPossible values:
currencystringRequired

Currency code used for billing this subscription.

tax_inclusivebooleanRead-onlyRequiredDeprecated

Indicates whether tax is included in the base price itself.

priceinteger · int64Read-onlyRequiredDeprecated

Base price of the subscription in smallest currency units (e.g., cents).

price_strstring · nullableRead-onlyOptionalDeprecated

Formatted string representation of the price.

discount_amountinteger · int64Required

Amount of discount applied in smallest currency units.

discount_amount_strstringRead-onlyRequired

Formatted string representation of the discount amount.

subtotal_amountinteger · int64Required

Subtotal amount in smallest currency units.

subtotal_amount_strstringRead-onlyRequired

Formatted string representation of the subtotal amount.

tax_amountinteger · int64Required

Tax amount in smallest currency units.

tax_amount_strstringRead-onlyRequired

Formatted string representation of the tax amount.

total_amountinteger · int64Required

Total amount in smallest currency units.

total_amount_strstringRead-onlyRequired

Formatted string representation of the total amount.

initial_discount_amountinteger · int64Required

Initial discount amount in smallest currency units for the first billing cycle.

initial_discount_amount_strstringRead-onlyRequired

Formatted string representation of the initial discount amount.

initial_subtotal_amountinteger · int64Required

Initial subtotal amount in smallest currency units for the first billing cycle.

initial_subtotal_amount_strstringRead-onlyRequired

Formatted string representation of the initial subtotal amount.

initial_giftcard_usage_amountinteger · int64Required

Initial gift card usage amount in smallest currency units.

initial_giftcard_usage_amount_strstringRead-onlyRequired

Formatted string representation of the initial gift card usage amount.

initial_tax_amountinteger · int64Required

Initial tax amount in smallest currency units for the first billing cycle.

initial_tax_amount_strstringRead-onlyRequired

Formatted string representation of the initial tax amount.

initial_total_amountinteger · int64Required

Initial total amount in smallest currency units for the first billing cycle.

initial_total_amount_strstringRead-onlyRequired

Formatted string representation of the initial total amount.

presentment_currencystring · nullableOptional

Presentment currency code (currency shown to customer).

presentment_subtotal_amountinteger · nullableOptional

Presentment subtotal amount in smallest currency units.

presentment_subtotal_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment subtotal amount.

presentment_discount_amountinteger · nullableOptional

Presentment discount amount in smallest currency units.

presentment_discount_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment discount amount.

presentment_tax_amountinteger · nullableOptional

Presentment tax amount in smallest currency units.

presentment_tax_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment tax amount.

presentment_total_amountinteger · nullableOptional

Presentment total amount in smallest currency units.

presentment_total_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the presentment total amount.

initial_presentment_discount_amountinteger · nullableOptional

Initial presentment discount amount in smallest currency units for the first billing cycle.

initial_presentment_discount_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment discount amount.

initial_presentment_subtotal_amountinteger · nullableOptional

Initial presentment subtotal amount in smallest currency units for the first billing cycle.

initial_presentment_subtotal_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment subtotal amount.

initial_presentment_giftcard_usage_amountinteger · nullableOptional

Initial presentment gift card usage amount in smallest currency units.

initial_presentment_giftcard_usage_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment gift card usage amount.

initial_presentment_tax_amountinteger · nullableOptional

Initial presentment tax amount in smallest currency units for the first billing cycle.

initial_presentment_tax_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment tax amount.

initial_presentment_total_amountinteger · nullableOptional

Initial presentment total amount in smallest currency units for the first billing cycle.

initial_presentment_total_amount_strstring · nullableRead-onlyOptional

Formatted string representation of the initial presentment total amount.

fx_ratestring · nullableOptional

The foreign exchange rate applied (if presentment currency differs from settlement currency).

pricing_region_idstring · nullableRead-onlyOptionalDeprecated

Identifier for the pricing region associated with this subscription.

current_period_startstring · nullableOptional

Start date of the current billing period.

current_period_endstring · nullableOptional

End date of the current billing period.

billing_cycle_sequenceinteger · nullableOptional

Sequence number of the current billing cycle.

next_attempt_atstring · nullableOptional

Date and time when the next payment attempt will occur.

attempt_countinteger · nullableOptional

Number of payment attempts made for the current billing cycle.

created_atstring · date-timeRequired

Date and time when the subscription was created.

updated_atstring · nullableOptional

Date and time when the subscription was last updated.

active_atstring · nullableOptional

Date and time when the subscription became active.

canceled_atstring · nullableOptional

Date and time when the subscription was canceled.

cancel_reasonstring · nullableOptional

Reason provided for cancellation.

get
/v1/store/customer/subscriptions/{subscriptionId}

Cancel subscription by ID

delete

Cancels a subscription for the specified store by the supplied customer token.

circle-exclamation
Authorizations
AuthorizationstringRequired

A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.

Path parameters
subscriptionIdstring · flake-idRequiredExample: 411486491630370816
Responses
delete
/v1/store/customer/subscriptions/{subscriptionId}

No content

Last updated

Was this helpful?